#
# spec file for package gpgme (Version %{version})
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpg
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpg gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         gpgme
%define prefix /usr
%define version 0.2.2
Copyright:    GPL
Group:        Development/Libraries
Autoreqprov:  on
Version:      %{version}
Release:      0
Source:       gpgme-%{version}.tar.bz2
URL:          ftp://ftp.gnupg.org/gcrypt/alpha/gpgme/
Summary:      A library designed to make access to GnuPG easier for applications
Provides:     gpgme
Requires:     gpg

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier for applications.
It provides a high-level Crypto API for encryption, decryption, signing, signature
verification, and key management. Currently it uses GnuPG as its back-end, but the API isn't
restricted to this engine. It is planned to add other back-ends to it.
Who Should use GPGME?
Because the direct use of GnuPG from an application can be a complicated programming task,
it is suggested that all software should try to use GPGME instead. This way bug fixes or
improvements can be done at a central place and every applications benefits from this.
Especially authors of MUAs should consider to use GPGME. It is even planned to created
a set of standard widgets for common key selection tasks.

Authors:
--------
    FSF <gnu@gnu.org> 
     - Code taken from GnuPG 1.0: gpgme/w32-util.c, GnuPG 1.1: jnlib/. 
     
    g10 Code GmbH <code@g10code.com> 
     - All stuff since mid march 2001. 
     
    Werner Koch <wk@gnupg.org> 
     - Design and most stuff. 
    

SuSE series: sec

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%{?suse_update_config:%{suse_update_config}}

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir}
make
if test $ABUILD_RUN_TEST_SUITES = true ; then
        make test
fi

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make prefix=${RPM_BUILD_ROOT}%{prefix} install

%files
%defattr(-,root,root)
%{prefix}/lib/libgpgme.*
%{prefix}/bin/gpgme-config
%{prefix}/share/aclocal/gpgme.m4
%{prefix}/include/gpgme.h
%doc AUTHORS COPYING ChangeLog README INSTALL NEWS THANKS TODO README-alpha

%changelog -n gpgme
* Thu Sep 13 2001 - didge@suse.de
- Fix a bug to build under AXP
* Wed Aug 22 2001 - didge@suse.de
- First build, Verison 0.2.2
